Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I have installed Miktex 2.9 with the latest update. I work with latex.exe successfully.

I want to learn ConTeXt and I installed Ruby. To get better settings, I restart my computer.

After restarting, I got the following figure. What should I do?

alt text

share|improve this question
    
Since you are just getting started with ConTeXt, you can ignore MkII (the version that uses pdftex as an engine) and directly try MkIV (the version that uses luatex as an engine). The MkIV wrapper scripts are written in lua and do not require ruby. Simply try 'context filename' to see if it works. –  Aditya Jan 13 '11 at 6:13
    
@Aditya: It does not work. It stops at "!undefined control sequence. 1.2 \usemodule[circuitikz]" –  xport Jan 13 '11 at 6:34
    
Did you see cirtuittikz documentation about fixing the tikz bug (tikz does not switch the complete catcodetable) to work with ConTeXt. –  Aditya Jan 13 '11 at 18:23

1 Answer 1

up vote 6 down vote accepted

Set the environment variable PATH to add ruby's installation directory.

share|improve this answer
    
the root directory of ruby or its nested directory? –  xport Jan 13 '11 at 5:38
4  
@xport: wherever ruby.exe is. –  Caramdir Jan 13 '11 at 6:04
    
+ @Caramdir: thanks. The error vanishes at infinity. –  xport Jan 13 '11 at 6:12

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.